cofold.h File Reference
MFE Structures of two hybridized Sequences

MFE version of cofolding routines. More...

Include dependency graph for cofold.h:

Go to the source code of this file.

## Functions

float | cofold (const char *sequence, char *structure)
| Compute the minimum free energy of two interacting RNA molecules. More...
float | cofold_par (const char *string, char *structure, paramT *parameters, int is_constrained)
| Compute the minimum free energy of two interacting RNA molecules.
void | free_co_arrays (void)
| Free memory occupied by cofold()
void | update_cofold_params (void)
| Recalculate parameters.
void | export_cofold_arrays_gq (int **f5_p, int **c_p, int **fML_p, int **fM1_p, int **fc_p, int **ggg_p, int **indx_p, char **ptype_p)
| Export the arrays of partition function cofold (with gquadruplex support) More...
void | export_cofold_arrays (int **f5_p, int **c_p, int **fML_p, int **fM1_p, int **fc_p, int **indx_p, char **ptype_p)
| Export the arrays of partition function cofold. More...
SOLUTION * | zukersubopt (const char *string)
| Compute Zuker type suboptimal structures. More...
SOLUTION * | zukersubopt_par (const char *string, paramT *parameters)
| Compute Zuker type suboptimal structures.
void | get_monomere_mfes (float *e1, float *e2)
| get_monomer_free_energies More...
void | initialize_cofold (int length)

## Detailed Description

MFE version of cofolding routines.

This file includes (almost) all function declarations within the RNAlib that are related to MFE Cofolding... This also includes the Zuker suboptimals calculations, since they are implemented using the cofold routines.

## Function Documentation

void get_monomere_mfes | ( | float * | e1,
|  | float * | e2
| ) |  |

get_monomer_free_energies

Export monomer free energies out of cofold arrays

Parameters

  e1 | A pointer to a variable where the energy of molecule A will be written to
  e2 | A pointer to a variable where the energy of molecule B will be written to

void initialize_cofold | ( | int | length | ) |

allocate arrays for folding

Deprecated:
  {This function is obsolete and will be removed soon!}